Folks.WebServiceDetails.change_web_service_addresses – folks Reference Manual

# change_web_service_addresses

## Description:

public virtual async void change_web_service_addresses (MultiMap<string,WebServiceFieldDetails> web_service_addresses) throws PropertyError

Change the contact's web service addresses.

It's preferred to call this rather than setting WebServiceDetails.web_service_addresses directly, as this method gives error notification and will only return once the addresses have been written to the relevant backing store (or the operation's failed).

## Parameters:

web_service_addresses | the set of addresses

## Exceptions:

PropertyError | if setting the addresses failed

## Since:

0.6.2